#  Copyright (c) 2015 Janos Mattyasovszky
# 
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
# 
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 

bundle agent tz_variables
{
  vars:

    ## The values for some deprecated fields we plan to phase out in future versions

    "tz_win[france]"        string => "Romance Standard Time";
    "tz_linux[france]"      string => "Europe/Paris";

    "tz_win[uk]"            string => "GMT Standard Time";
    "tz_linux[uk]"          string => "Europe/London";

    "tz_win[germany]"       string => "W. Europe Standard Time";
    "tz_linux[germany]"     string => "Europe/Berlin";

    "tz_win[spain]"         string => "Romance Standard Time";
    "tz_linux[spain]"       string => "Europe/Madrid";

    "tz_win[italy]"         string => "W. Europe Standard Time";
    "tz_linux[italy]"       string => "Europe/Rome";

    "tz_win[us-pacific]"    string => "Pacific Standard Time";
    "tz_linux[us-pacific]"  string => "US/Pacific";

    "tz_win[us-mountain]"   string => "Mountain Standard Time";
    "tz_linux[us-mountain]" string => "US/Mountain";

    "tz_win[us-central]"    string => "US/Central";
    "tz_linux[us-central]"  string => "Central Standard Time";

    "tz_win[us-eastern]"    string => "Eastern Standard Time";
    "tz_linux[us-eastern]"  string => "US/Eastern";

    "tz_win[canada]"        string => "Atlantic Standard Time";
    "tz_linux[canada]"      string => "America/Canada";

    "tz_win[belgium]"       string => "Romance Standard Time";
    "tz_linux[belgium]"     string => "Europe/Brussels";

    "tz_win[luxembourg]"    string => "Romance Standard Time";
    "tz_linux[luxembourg]"  string => "Europe/Luxembourg";

    "tz_win[netherlands]"   string => "W. Europe Standard Time";
    "tz_linux[netherlands]" string => "Europe/Amsterdam";

    "tz_win[norway]"        string => "Romance Standard Time";
    "tz_linux[norway]"      string => "Europe/Oslo";

    "tz_win[beijing]"       string => "China Standard Time";
    "tz_linux[beijing]"     string => "Asia/Shanghai";

    ## These here were generated from [http://www.unicode.org/cldr/charts/latest/supplemental/zone_tzid.html]

    "tz_win[Africa/Abidjan]"                           string => "Greenwich Standard Time";
    "tz_linux[Africa/Abidjan]"                         string => "Africa/Abidjan";
    "tz_win[Africa/Accra]"                             string => "Greenwich Standard Time";
    "tz_linux[Africa/Accra]"                           string => "Africa/Accra";
    "tz_win[Africa/Addis_Ababa]"                       string => "E. Africa Standard Time";
    "tz_linux[Africa/Addis_Ababa]"                     string => "Africa/Addis_Ababa";
    "tz_win[Africa/Algiers]"                           string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Algiers]"                         string => "Africa/Algiers";
    "tz_win[Africa/Asmera]"                            string => "E. Africa Standard Time";
    "tz_linux[Africa/Asmera]"                          string => "Africa/Asmera";
    "tz_win[Africa/Bamako]"                            string => "Greenwich Standard Time";
    "tz_linux[Africa/Bamako]"                          string => "Africa/Bamako";
    "tz_win[Africa/Bangui]"                            string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Bangui]"                          string => "Africa/Bangui";
    "tz_win[Africa/Banjul]"                            string => "Greenwich Standard Time";
    "tz_linux[Africa/Banjul]"                          string => "Africa/Banjul";
    "tz_win[Africa/Bissau]"                            string => "Greenwich Standard Time";
    "tz_linux[Africa/Bissau]"                          string => "Africa/Bissau";
    "tz_win[Africa/Blantyre]"                          string => "South Africa Standard Time";
    "tz_linux[Africa/Blantyre]"                        string => "Africa/Blantyre";
    "tz_win[Africa/Brazzaville]"                       string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Brazzaville]"                     string => "Africa/Brazzaville";
    "tz_win[Africa/Bujumbura]"                         string => "South Africa Standard Time";
    "tz_linux[Africa/Bujumbura]"                       string => "Africa/Bujumbura";
    "tz_win[Africa/Cairo]"                             string => "Egypt Standard Time";
    "tz_linux[Africa/Cairo]"                           string => "Africa/Cairo";
    "tz_win[Africa/Casablanca]"                        string => "Morocco Standard Time";
    "tz_linux[Africa/Casablanca]"                      string => "Africa/Casablanca";
    "tz_win[Africa/Ceuta]"                             string => "Romance Standard Time";
    "tz_linux[Africa/Ceuta]"                           string => "Africa/Ceuta";
    "tz_win[Africa/Conakry]"                           string => "Greenwich Standard Time";
    "tz_linux[Africa/Conakry]"                         string => "Africa/Conakry";
    "tz_win[Africa/Dakar]"                             string => "Greenwich Standard Time";
    "tz_linux[Africa/Dakar]"                           string => "Africa/Dakar";
    "tz_win[Africa/Dar_es_Salaam]"                     string => "E. Africa Standard Time";
    "tz_linux[Africa/Dar_es_Salaam]"                   string => "Africa/Dar_es_Salaam";
    "tz_win[Africa/Djibouti]"                          string => "E. Africa Standard Time";
    "tz_linux[Africa/Djibouti]"                        string => "Africa/Djibouti";
    "tz_win[Africa/Douala]"                            string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Douala]"                          string => "Africa/Douala";
    "tz_win[Africa/El_Aaiun]"                          string => "Morocco Standard Time";
    "tz_linux[Africa/El_Aaiun]"                        string => "Africa/El_Aaiun";
    "tz_win[Africa/Freetown]"                          string => "Greenwich Standard Time";
    "tz_linux[Africa/Freetown]"                        string => "Africa/Freetown";
    "tz_win[Africa/Gaborone]"                          string => "South Africa Standard Time";
    "tz_linux[Africa/Gaborone]"                        string => "Africa/Gaborone";
    "tz_win[Africa/Harare]"                            string => "South Africa Standard Time";
    "tz_linux[Africa/Harare]"                          string => "Africa/Harare";
    "tz_win[Africa/Johannesburg]"                      string => "South Africa Standard Time";
    "tz_linux[Africa/Johannesburg]"                    string => "Africa/Johannesburg";
    "tz_win[Africa/Juba]"                              string => "E. Africa Standard Time";
    "tz_linux[Africa/Juba]"                            string => "Africa/Juba";
    "tz_win[Africa/Kampala]"                           string => "E. Africa Standard Time";
    "tz_linux[Africa/Kampala]"                         string => "Africa/Kampala";
    "tz_win[Africa/Khartoum]"                          string => "E. Africa Standard Time";
    "tz_linux[Africa/Khartoum]"                        string => "Africa/Khartoum";
    "tz_win[Africa/Kigali]"                            string => "South Africa Standard Time";
    "tz_linux[Africa/Kigali]"                          string => "Africa/Kigali";
    "tz_win[Africa/Kinshasa]"                          string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Kinshasa]"                        string => "Africa/Kinshasa";
    "tz_win[Africa/Lagos]"                             string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Lagos]"                           string => "Africa/Lagos";
    "tz_win[Africa/Libreville]"                        string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Libreville]"                      string => "Africa/Libreville";
    "tz_win[Africa/Lome]"                              string => "Greenwich Standard Time";
    "tz_linux[Africa/Lome]"                            string => "Africa/Lome";
    "tz_win[Africa/Luanda]"                            string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Luanda]"                          string => "Africa/Luanda";
    "tz_win[Africa/Lubumbashi]"                        string => "South Africa Standard Time";
    "tz_linux[Africa/Lubumbashi]"                      string => "Africa/Lubumbashi";
    "tz_win[Africa/Lusaka]"                            string => "South Africa Standard Time";
    "tz_linux[Africa/Lusaka]"                          string => "Africa/Lusaka";
    "tz_win[Africa/Malabo]"                            string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Malabo]"                          string => "Africa/Malabo";
    "tz_win[Africa/Maputo]"                            string => "South Africa Standard Time";
    "tz_linux[Africa/Maputo]"                          string => "Africa/Maputo";
    "tz_win[Africa/Maseru]"                            string => "South Africa Standard Time";
    "tz_linux[Africa/Maseru]"                          string => "Africa/Maseru";
    "tz_win[Africa/Mbabane]"                           string => "South Africa Standard Time";
    "tz_linux[Africa/Mbabane]"                         string => "Africa/Mbabane";
    "tz_win[Africa/Mogadishu]"                         string => "E. Africa Standard Time";
    "tz_linux[Africa/Mogadishu]"                       string => "Africa/Mogadishu";
    "tz_win[Africa/Monrovia]"                          string => "Greenwich Standard Time";
    "tz_linux[Africa/Monrovia]"                        string => "Africa/Monrovia";
    "tz_win[Africa/Nairobi]"                           string => "E. Africa Standard Time";
    "tz_linux[Africa/Nairobi]"                         string => "Africa/Nairobi";
    "tz_win[Africa/Ndjamena]"                          string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Ndjamena]"                        string => "Africa/Ndjamena";
    "tz_win[Africa/Niamey]"                            string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Niamey]"                          string => "Africa/Niamey";
    "tz_win[Africa/Nouakchott]"                        string => "Greenwich Standard Time";
    "tz_linux[Africa/Nouakchott]"                      string => "Africa/Nouakchott";
    "tz_win[Africa/Ouagadougou]"                       string => "Greenwich Standard Time";
    "tz_linux[Africa/Ouagadougou]"                     string => "Africa/Ouagadougou";
    "tz_win[Africa/Porto-Novo]"                        string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Porto-Novo]"                      string => "Africa/Porto-Novo";
    "tz_win[Africa/Sao_Tome]"                          string => "Greenwich Standard Time";
    "tz_linux[Africa/Sao_Tome]"                        string => "Africa/Sao_Tome";
    "tz_win[Africa/Tripoli]"                           string => "Libya Standard Time";
    "tz_linux[Africa/Tripoli]"                         string => "Africa/Tripoli";
    "tz_win[Africa/Tunis]"                             string => "W. Central Africa Standard Time";
    "tz_linux[Africa/Tunis]"                           string => "Africa/Tunis";
    "tz_win[Africa/Windhoek]"                          string => "Namibia Standard Time";
    "tz_linux[Africa/Windhoek]"                        string => "Africa/Windhoek";
    "tz_win[America/Anchorage]"                        string => "Alaskan Standard Time";
    "tz_linux[America/Anchorage]"                      string => "America/Anchorage";
    "tz_win[America/Anguilla]"                         string => "SA Western Standard Time";
    "tz_linux[America/Anguilla]"                       string => "America/Anguilla";
    "tz_win[America/Antigua]"                          string => "SA Western Standard Time";
    "tz_linux[America/Antigua]"                        string => "America/Antigua";
    "tz_win[America/Araguaina]"                        string => "SA Eastern Standard Time";
    "tz_linux[America/Araguaina]"                      string => "America/Araguaina";
    "tz_win[America/Argentina/La_Rioja]"               string => "Argentina Standard Time";
    "tz_linux[America/Argentina/La_Rioja]"             string => "America/Argentina/La_Rioja";
    "tz_win[America/Argentina/Rio_Gallegos]"           string => "Argentina Standard Time";
    "tz_linux[America/Argentina/Rio_Gallegos]"         string => "America/Argentina/Rio_Gallegos";
    "tz_win[America/Argentina/Salta]"                  string => "Argentina Standard Time";
    "tz_linux[America/Argentina/Salta]"                string => "America/Argentina/Salta";
    "tz_win[America/Argentina/San_Juan]"               string => "Argentina Standard Time";
    "tz_linux[America/Argentina/San_Juan]"             string => "America/Argentina/San_Juan";
    "tz_win[America/Argentina/San_Luis]"               string => "Argentina Standard Time";
    "tz_linux[America/Argentina/San_Luis]"             string => "America/Argentina/San_Luis";
    "tz_win[America/Argentina/Tucuman]"                string => "Argentina Standard Time";
    "tz_linux[America/Argentina/Tucuman]"              string => "America/Argentina/Tucuman";
    "tz_win[America/Argentina/Ushuaia]"                string => "Argentina Standard Time";
    "tz_linux[America/Argentina/Ushuaia]"              string => "America/Argentina/Ushuaia";
    "tz_win[America/Aruba]"                            string => "SA Western Standard Time";
    "tz_linux[America/Aruba]"                          string => "America/Aruba";
    "tz_win[America/Asuncion]"                         string => "Paraguay Standard Time";
    "tz_linux[America/Asuncion]"                       string => "America/Asuncion";
    "tz_win[America/Bahia]"                            string => "Bahia Standard Time";
    "tz_linux[America/Bahia]"                          string => "America/Bahia";
    "tz_win[America/Bahia_Banderas]"                   string => "Central Standard Time (Mexico)";
    "tz_linux[America/Bahia_Banderas]"                 string => "America/Bahia_Banderas";
    "tz_win[America/Barbados]"                         string => "SA Western Standard Time";
    "tz_linux[America/Barbados]"                       string => "America/Barbados";
    "tz_win[America/Belem]"                            string => "SA Eastern Standard Time";
    "tz_linux[America/Belem]"                          string => "America/Belem";
    "tz_win[America/Belize]"                           string => "Central America Standard Time";
    "tz_linux[America/Belize]"                         string => "America/Belize";
    "tz_win[America/Blanc-Sablon]"                     string => "SA Western Standard Time";
    "tz_linux[America/Blanc-Sablon]"                   string => "America/Blanc-Sablon";
    "tz_win[America/Boa_Vista]"                        string => "SA Western Standard Time";
    "tz_linux[America/Boa_Vista]"                      string => "America/Boa_Vista";
    "tz_win[America/Bogota]"                           string => "SA Pacific Standard Time";
    "tz_linux[America/Bogota]"                         string => "America/Bogota";
    "tz_win[America/Boise]"                            string => "Mountain Standard Time";
    "tz_linux[America/Boise]"                          string => "America/Boise";
    "tz_win[America/Buenos_Aires]"                     string => "Argentina Standard Time";
    "tz_linux[America/Buenos_Aires]"                   string => "America/Buenos_Aires";
    "tz_win[America/Cambridge_Bay]"                    string => "Mountain Standard Time";
    "tz_linux[America/Cambridge_Bay]"                  string => "America/Cambridge_Bay";
    "tz_win[America/Campo_Grande]"                     string => "Central Brazilian Standard Time";
    "tz_linux[America/Campo_Grande]"                   string => "America/Campo_Grande";
    "tz_win[America/Cancun]"                           string => "Eastern Standard Time (Mexico)";
    "tz_linux[America/Cancun]"                         string => "America/Cancun";
    "tz_win[America/Caracas]"                          string => "Venezuela Standard Time";
    "tz_linux[America/Caracas]"                        string => "America/Caracas";
    "tz_win[America/Catamarca]"                        string => "Argentina Standard Time";
    "tz_linux[America/Catamarca]"                      string => "America/Catamarca";
    "tz_win[America/Cayenne]"                          string => "SA Eastern Standard Time";
    "tz_linux[America/Cayenne]"                        string => "America/Cayenne";
    "tz_win[America/Cayman]"                           string => "SA Pacific Standard Time";
    "tz_linux[America/Cayman]"                         string => "America/Cayman";
    "tz_win[America/Chicago]"                          string => "Central Standard Time";
    "tz_linux[America/Chicago]"                        string => "America/Chicago";
    "tz_win[America/Chihuahua]"                        string => "Mountain Standard Time (Mexico)";
    "tz_linux[America/Chihuahua]"                      string => "America/Chihuahua";
    "tz_win[America/Coral_Harbour]"                    string => "SA Pacific Standard Time";
    "tz_linux[America/Coral_Harbour]"                  string => "America/Coral_Harbour";
    "tz_win[America/Cordoba]"                          string => "Argentina Standard Time";
    "tz_linux[America/Cordoba]"                        string => "America/Cordoba";
    "tz_win[America/Costa_Rica]"                       string => "Central America Standard Time";
    "tz_linux[America/Costa_Rica]"                     string => "America/Costa_Rica";
    "tz_win[America/Creston]"                          string => "US Mountain Standard Time";
    "tz_linux[America/Creston]"                        string => "America/Creston";
    "tz_win[America/Cuiaba]"                           string => "Central Brazilian Standard Time";
    "tz_linux[America/Cuiaba]"                         string => "America/Cuiaba";
    "tz_win[America/Curacao]"                          string => "SA Western Standard Time";
    "tz_linux[America/Curacao]"                        string => "America/Curacao";
    "tz_win[America/Danmarkshavn]"                     string => "UTC";
    "tz_linux[America/Danmarkshavn]"                   string => "America/Danmarkshavn";
    "tz_win[America/Dawson]"                           string => "Pacific Standard Time";
    "tz_linux[America/Dawson]"                         string => "America/Dawson";
    "tz_win[America/Dawson_Creek]"                     string => "US Mountain Standard Time";
    "tz_linux[America/Dawson_Creek]"                   string => "America/Dawson_Creek";
    "tz_win[America/Denver]"                           string => "Mountain Standard Time";
    "tz_linux[America/Denver]"                         string => "America/Denver";
    "tz_win[America/Detroit]"                          string => "Eastern Standard Time";
    "tz_linux[America/Detroit]"                        string => "America/Detroit";
    "tz_win[America/Dominica]"                         string => "SA Western Standard Time";
    "tz_linux[America/Dominica]"                       string => "America/Dominica";
    "tz_win[America/Edmonton]"                         string => "Mountain Standard Time";
    "tz_linux[America/Edmonton]"                       string => "America/Edmonton";
    "tz_win[America/Eirunepe]"                         string => "SA Pacific Standard Time";
    "tz_linux[America/Eirunepe]"                       string => "America/Eirunepe";
    "tz_win[America/El_Salvador]"                      string => "Central America Standard Time";
    "tz_linux[America/El_Salvador]"                    string => "America/El_Salvador";
    "tz_win[America/Fortaleza]"                        string => "SA Eastern Standard Time";
    "tz_linux[America/Fortaleza]"                      string => "America/Fortaleza";
    "tz_win[America/Glace_Bay]"                        string => "Atlantic Standard Time";
    "tz_linux[America/Glace_Bay]"                      string => "America/Glace_Bay";
    "tz_win[America/Godthab]"                          string => "Greenland Standard Time";
    "tz_linux[America/Godthab]"                        string => "America/Godthab";
    "tz_win[America/Goose_Bay]"                        string => "Atlantic Standard Time";
    "tz_linux[America/Goose_Bay]"                      string => "America/Goose_Bay";
    "tz_win[America/Grand_Turk]"                       string => "SA Western Standard Time";
    "tz_linux[America/Grand_Turk]"                     string => "America/Grand_Turk";
    "tz_win[America/Grenada]"                          string => "SA Western Standard Time";
    "tz_linux[America/Grenada]"                        string => "America/Grenada";
    "tz_win[America/Guadeloupe]"                       string => "SA Western Standard Time";
    "tz_linux[America/Guadeloupe]"                     string => "America/Guadeloupe";
    "tz_win[America/Guatemala]"                        string => "Central America Standard Time";
    "tz_linux[America/Guatemala]"                      string => "America/Guatemala";
    "tz_win[America/Guayaquil]"                        string => "SA Pacific Standard Time";
    "tz_linux[America/Guayaquil]"                      string => "America/Guayaquil";
    "tz_win[America/Guyana]"                           string => "SA Western Standard Time";
    "tz_linux[America/Guyana]"                         string => "America/Guyana";
    "tz_win[America/Halifax]"                          string => "Atlantic Standard Time";
    "tz_linux[America/Halifax]"                        string => "America/Halifax";
    "tz_win[America/Havana]"                           string => "Eastern Standard Time";
    "tz_linux[America/Havana]"                         string => "America/Havana";
    "tz_win[America/Hermosillo]"                       string => "US Mountain Standard Time";
    "tz_linux[America/Hermosillo]"                     string => "America/Hermosillo";
    "tz_win[America/Indiana/Knox]"                     string => "Central Standard Time";
    "tz_linux[America/Indiana/Knox]"                   string => "America/Indiana/Knox";
    "tz_win[America/Indiana/Marengo]"                  string => "US Eastern Standard Time";
    "tz_linux[America/Indiana/Marengo]"                string => "America/Indiana/Marengo";
    "tz_win[America/Indiana/Petersburg]"               string => "Eastern Standard Time";
    "tz_linux[America/Indiana/Petersburg]"             string => "America/Indiana/Petersburg";
    "tz_win[America/Indiana/Tell_City]"                string => "Central Standard Time";
    "tz_linux[America/Indiana/Tell_City]"              string => "America/Indiana/Tell_City";
    "tz_win[America/Indiana/Vevay]"                    string => "US Eastern Standard Time";
    "tz_linux[America/Indiana/Vevay]"                  string => "America/Indiana/Vevay";
    "tz_win[America/Indiana/Vincennes]"                string => "Eastern Standard Time";
    "tz_linux[America/Indiana/Vincennes]"              string => "America/Indiana/Vincennes";
    "tz_win[America/Indiana/Winamac]"                  string => "Eastern Standard Time";
    "tz_linux[America/Indiana/Winamac]"                string => "America/Indiana/Winamac";
    "tz_win[America/Indianapolis]"                     string => "US Eastern Standard Time";
    "tz_linux[America/Indianapolis]"                   string => "America/Indianapolis";
    "tz_win[America/Inuvik]"                           string => "Mountain Standard Time";
    "tz_linux[America/Inuvik]"                         string => "America/Inuvik";
    "tz_win[America/Iqaluit]"                          string => "Eastern Standard Time";
    "tz_linux[America/Iqaluit]"                        string => "America/Iqaluit";
    "tz_win[America/Jamaica]"                          string => "SA Pacific Standard Time";
    "tz_linux[America/Jamaica]"                        string => "America/Jamaica";
    "tz_win[America/Jujuy]"                            string => "Argentina Standard Time";
    "tz_linux[America/Jujuy]"                          string => "America/Jujuy";
    "tz_win[America/Juneau]"                           string => "Alaskan Standard Time";
    "tz_linux[America/Juneau]"                         string => "America/Juneau";
    "tz_win[America/Kentucky/Monticello]"              string => "Eastern Standard Time";
    "tz_linux[America/Kentucky/Monticello]"            string => "America/Kentucky/Monticello";
    "tz_win[America/Kralendijk]"                       string => "SA Western Standard Time";
    "tz_linux[America/Kralendijk]"                     string => "America/Kralendijk";
    "tz_win[America/La_Paz]"                           string => "SA Western Standard Time";
    "tz_linux[America/La_Paz]"                         string => "America/La_Paz";
    "tz_win[America/Lima]"                             string => "SA Pacific Standard Time";
    "tz_linux[America/Lima]"                           string => "America/Lima";
    "tz_win[America/Los_Angeles]"                      string => "Pacific Standard Time";
    "tz_linux[America/Los_Angeles]"                    string => "America/Los_Angeles";
    "tz_win[America/Louisville]"                       string => "Eastern Standard Time";
    "tz_linux[America/Louisville]"                     string => "America/Louisville";
    "tz_win[America/Lower_Princes]"                    string => "SA Western Standard Time";
    "tz_linux[America/Lower_Princes]"                  string => "America/Lower_Princes";
    "tz_win[America/Maceio]"                           string => "SA Eastern Standard Time";
    "tz_linux[America/Maceio]"                         string => "America/Maceio";
    "tz_win[America/Managua]"                          string => "Central America Standard Time";
    "tz_linux[America/Managua]"                        string => "America/Managua";
    "tz_win[America/Manaus]"                           string => "SA Western Standard Time";
    "tz_linux[America/Manaus]"                         string => "America/Manaus";
    "tz_win[America/Marigot]"                          string => "SA Western Standard Time";
    "tz_linux[America/Marigot]"                        string => "America/Marigot";
    "tz_win[America/Martinique]"                       string => "SA Western Standard Time";
    "tz_linux[America/Martinique]"                     string => "America/Martinique";
    "tz_win[America/Matamoros]"                        string => "Central Standard Time";
    "tz_linux[America/Matamoros]"                      string => "America/Matamoros";
    "tz_win[America/Mazatlan]"                         string => "Mountain Standard Time (Mexico)";
    "tz_linux[America/Mazatlan]"                       string => "America/Mazatlan";
    "tz_win[America/Mendoza]"                          string => "Argentina Standard Time";
    "tz_linux[America/Mendoza]"                        string => "America/Mendoza";
    "tz_win[America/Menominee]"                        string => "Central Standard Time";
    "tz_linux[America/Menominee]"                      string => "America/Menominee";
    "tz_win[America/Merida]"                           string => "Central Standard Time (Mexico)";
    "tz_linux[America/Merida]"                         string => "America/Merida";
    "tz_win[America/Mexico_City]"                      string => "Central Standard Time (Mexico)";
    "tz_linux[America/Mexico_City]"                    string => "America/Mexico_City";
    "tz_win[America/Moncton]"                          string => "Atlantic Standard Time";
    "tz_linux[America/Moncton]"                        string => "America/Moncton";
    "tz_win[America/Monterrey]"                        string => "Central Standard Time (Mexico)";
    "tz_linux[America/Monterrey]"                      string => "America/Monterrey";
    "tz_win[America/Montevideo]"                       string => "Montevideo Standard Time";
    "tz_linux[America/Montevideo]"                     string => "America/Montevideo";
    "tz_win[America/Montreal]"                         string => "Eastern Standard Time";
    "tz_linux[America/Montreal]"                       string => "America/Montreal";
    "tz_win[America/Montserrat]"                       string => "SA Western Standard Time";
    "tz_linux[America/Montserrat]"                     string => "America/Montserrat";
    "tz_win[America/Nassau]"                           string => "Eastern Standard Time";
    "tz_linux[America/Nassau]"                         string => "America/Nassau";
    "tz_win[America/New_York]"                         string => "Eastern Standard Time";
    "tz_linux[America/New_York]"                       string => "America/New_York";
    "tz_win[America/Nipigon]"                          string => "Eastern Standard Time";
    "tz_linux[America/Nipigon]"                        string => "America/Nipigon";
    "tz_win[America/Nome]"                             string => "Alaskan Standard Time";
    "tz_linux[America/Nome]"                           string => "America/Nome";
    "tz_win[America/Noronha]"                          string => "UTC-02";
    "tz_linux[America/Noronha]"                        string => "America/Noronha";
    "tz_win[America/North_Dakota/Beulah]"              string => "Central Standard Time";
    "tz_linux[America/North_Dakota/Beulah]"            string => "America/North_Dakota/Beulah";
    "tz_win[America/North_Dakota/Center]"              string => "Central Standard Time";
    "tz_linux[America/North_Dakota/Center]"            string => "America/North_Dakota/Center";
    "tz_win[America/North_Dakota/New_Salem]"           string => "Central Standard Time";
    "tz_linux[America/North_Dakota/New_Salem]"         string => "America/North_Dakota/New_Salem";
    "tz_win[America/Ojinaga]"                          string => "Mountain Standard Time";
    "tz_linux[America/Ojinaga]"                        string => "America/Ojinaga";
    "tz_win[America/Panama]"                           string => "SA Pacific Standard Time";
    "tz_linux[America/Panama]"                         string => "America/Panama";
    "tz_win[America/Pangnirtung]"                      string => "Eastern Standard Time";
    "tz_linux[America/Pangnirtung]"                    string => "America/Pangnirtung";
    "tz_win[America/Paramaribo]"                       string => "SA Eastern Standard Time";
    "tz_linux[America/Paramaribo]"                     string => "America/Paramaribo";
    "tz_win[America/Phoenix]"                          string => "US Mountain Standard Time";
    "tz_linux[America/Phoenix]"                        string => "America/Phoenix";
    "tz_win[America/Port-au-Prince]"                   string => "Eastern Standard Time";
    "tz_linux[America/Port-au-Prince]"                 string => "America/Port-au-Prince";
    "tz_win[America/Port_of_Spain]"                    string => "SA Western Standard Time";
    "tz_linux[America/Port_of_Spain]"                  string => "America/Port_of_Spain";
    "tz_win[America/Porto_Velho]"                      string => "SA Western Standard Time";
    "tz_linux[America/Porto_Velho]"                    string => "America/Porto_Velho";
    "tz_win[America/Puerto_Rico]"                      string => "SA Western Standard Time";
    "tz_linux[America/Puerto_Rico]"                    string => "America/Puerto_Rico";
    "tz_win[America/Rainy_River]"                      string => "Central Standard Time";
    "tz_linux[America/Rainy_River]"                    string => "America/Rainy_River";
    "tz_win[America/Rankin_Inlet]"                     string => "Central Standard Time";
    "tz_linux[America/Rankin_Inlet]"                   string => "America/Rankin_Inlet";
    "tz_win[America/Recife]"                           string => "SA Eastern Standard Time";
    "tz_linux[America/Recife]"                         string => "America/Recife";
    "tz_win[America/Regina]"                           string => "Canada Central Standard Time";
    "tz_linux[America/Regina]"                         string => "America/Regina";
    "tz_win[America/Resolute]"                         string => "Central Standard Time";
    "tz_linux[America/Resolute]"                       string => "America/Resolute";
    "tz_win[America/Rio_Branco]"                       string => "SA Pacific Standard Time";
    "tz_linux[America/Rio_Branco]"                     string => "America/Rio_Branco";
    "tz_win[America/Santa_Isabel]"                     string => "Pacific Standard Time (Mexico)";
    "tz_linux[America/Santa_Isabel]"                   string => "America/Santa_Isabel";
    "tz_win[America/Santarem]"                         string => "SA Eastern Standard Time";
    "tz_linux[America/Santarem]"                       string => "America/Santarem";
    "tz_win[America/Santiago]"                         string => "Pacific SA Standard Time";
    "tz_linux[America/Santiago]"                       string => "America/Santiago";
    "tz_win[America/Santo_Domingo]"                    string => "SA Western Standard Time";
    "tz_linux[America/Santo_Domingo]"                  string => "America/Santo_Domingo";
    "tz_win[America/Sao_Paulo]"                        string => "E. South America Standard Time";
    "tz_linux[America/Sao_Paulo]"                      string => "America/Sao_Paulo";
    "tz_win[America/Scoresbysund]"                     string => "Azores Standard Time";
    "tz_linux[America/Scoresbysund]"                   string => "America/Scoresbysund";
    "tz_win[America/Sitka]"                            string => "Alaskan Standard Time";
    "tz_linux[America/Sitka]"                          string => "America/Sitka";
    "tz_win[America/St_Barthelemy]"                    string => "SA Western Standard Time";
    "tz_linux[America/St_Barthelemy]"                  string => "America/St_Barthelemy";
    "tz_win[America/St_Johns]"                         string => "Newfoundland Standard Time";
    "tz_linux[America/St_Johns]"                       string => "America/St_Johns";
    "tz_win[America/St_Kitts]"                         string => "SA Western Standard Time";
    "tz_linux[America/St_Kitts]"                       string => "America/St_Kitts";
    "tz_win[America/St_Lucia]"                         string => "SA Western Standard Time";
    "tz_linux[America/St_Lucia]"                       string => "America/St_Lucia";
    "tz_win[America/St_Thomas]"                        string => "SA Western Standard Time";
    "tz_linux[America/St_Thomas]"                      string => "America/St_Thomas";
    "tz_win[America/St_Vincent]"                       string => "SA Western Standard Time";
    "tz_linux[America/St_Vincent]"                     string => "America/St_Vincent";
    "tz_win[America/Swift_Current]"                    string => "Canada Central Standard Time";
    "tz_linux[America/Swift_Current]"                  string => "America/Swift_Current";
    "tz_win[America/Tegucigalpa]"                      string => "Central America Standard Time";
    "tz_linux[America/Tegucigalpa]"                    string => "America/Tegucigalpa";
    "tz_win[America/Thule]"                            string => "Atlantic Standard Time";
    "tz_linux[America/Thule]"                          string => "America/Thule";
    "tz_win[America/Thunder_Bay]"                      string => "Eastern Standard Time";
    "tz_linux[America/Thunder_Bay]"                    string => "America/Thunder_Bay";
    "tz_win[America/Tijuana]"                          string => "Pacific Standard Time";
    "tz_linux[America/Tijuana]"                        string => "America/Tijuana";
    "tz_win[America/Toronto]"                          string => "Eastern Standard Time";
    "tz_linux[America/Toronto]"                        string => "America/Toronto";
    "tz_win[America/Tortola]"                          string => "SA Western Standard Time";
    "tz_linux[America/Tortola]"                        string => "America/Tortola";
    "tz_win[America/Vancouver]"                        string => "Pacific Standard Time";
    "tz_linux[America/Vancouver]"                      string => "America/Vancouver";
    "tz_win[America/Whitehorse]"                       string => "Pacific Standard Time";
    "tz_linux[America/Whitehorse]"                     string => "America/Whitehorse";
    "tz_win[America/Winnipeg]"                         string => "Central Standard Time";
    "tz_linux[America/Winnipeg]"                       string => "America/Winnipeg";
    "tz_win[America/Yakutat]"                          string => "Alaskan Standard Time";
    "tz_linux[America/Yakutat]"                        string => "America/Yakutat";
    "tz_win[America/Yellowknife]"                      string => "Mountain Standard Time";
    "tz_linux[America/Yellowknife]"                    string => "America/Yellowknife";
    "tz_win[Antarctica/Casey]"                         string => "W. Australia Standard Time";
    "tz_linux[Antarctica/Casey]"                       string => "Antarctica/Casey";
    "tz_win[Antarctica/Davis]"                         string => "SE Asia Standard Time";
    "tz_linux[Antarctica/Davis]"                       string => "Antarctica/Davis";
    "tz_win[Antarctica/DumontDUrville]"                string => "West Pacific Standard Time";
    "tz_linux[Antarctica/DumontDUrville]"              string => "Antarctica/DumontDUrville";
    "tz_win[Antarctica/Macquarie]"                     string => "Central Pacific Standard Time";
    "tz_linux[Antarctica/Macquarie]"                   string => "Antarctica/Macquarie";
    "tz_win[Antarctica/Mawson]"                        string => "West Asia Standard Time";
    "tz_linux[Antarctica/Mawson]"                      string => "Antarctica/Mawson";
    "tz_win[Antarctica/McMurdo]"                       string => "New Zealand Standard Time";
    "tz_linux[Antarctica/McMurdo]"                     string => "Antarctica/McMurdo";
    "tz_win[Antarctica/Palmer]"                        string => "Pacific SA Standard Time";
    "tz_linux[Antarctica/Palmer]"                      string => "Antarctica/Palmer";
    "tz_win[Antarctica/Rothera]"                       string => "SA Eastern Standard Time";
    "tz_linux[Antarctica/Rothera]"                     string => "Antarctica/Rothera";
    "tz_win[Antarctica/Syowa]"                         string => "E. Africa Standard Time";
    "tz_linux[Antarctica/Syowa]"                       string => "Antarctica/Syowa";
    "tz_win[Antarctica/Vostok]"                        string => "Central Asia Standard Time";
    "tz_linux[Antarctica/Vostok]"                      string => "Antarctica/Vostok";
    "tz_win[Arctic/Longyearbyen]"                      string => "W. Europe Standard Time";
    "tz_linux[Arctic/Longyearbyen]"                    string => "Arctic/Longyearbyen";
    "tz_win[Asia/Aden]"                                string => "Arab Standard Time";
    "tz_linux[Asia/Aden]"                              string => "Asia/Aden";
    "tz_win[Asia/Almaty]"                              string => "Central Asia Standard Time";
    "tz_linux[Asia/Almaty]"                            string => "Asia/Almaty";
    "tz_win[Asia/Amman]"                               string => "Jordan Standard Time";
    "tz_linux[Asia/Amman]"                             string => "Asia/Amman";
    "tz_win[Asia/Anadyr]"                              string => "Russia Time Zone 11";
    "tz_linux[Asia/Anadyr]"                            string => "Asia/Anadyr";
    "tz_win[Asia/Aqtau]"                               string => "West Asia Standard Time";
    "tz_linux[Asia/Aqtau]"                             string => "Asia/Aqtau";
    "tz_win[Asia/Aqtobe]"                              string => "West Asia Standard Time";
    "tz_linux[Asia/Aqtobe]"                            string => "Asia/Aqtobe";
    "tz_win[Asia/Ashgabat]"                            string => "West Asia Standard Time";
    "tz_linux[Asia/Ashgabat]"                          string => "Asia/Ashgabat";
    "tz_win[Asia/Baghdad]"                             string => "Arabic Standard Time";
    "tz_linux[Asia/Baghdad]"                           string => "Asia/Baghdad";
    "tz_win[Asia/Bahrain]"                             string => "Arab Standard Time";
    "tz_linux[Asia/Bahrain]"                           string => "Asia/Bahrain";
    "tz_win[Asia/Baku]"                                string => "Azerbaijan Standard Time";
    "tz_linux[Asia/Baku]"                              string => "Asia/Baku";
    "tz_win[Asia/Bangkok]"                             string => "SE Asia Standard Time";
    "tz_linux[Asia/Bangkok]"                           string => "Asia/Bangkok";
    "tz_win[Asia/Beirut]"                              string => "Middle East Standard Time";
    "tz_linux[Asia/Beirut]"                            string => "Asia/Beirut";
    "tz_win[Asia/Bishkek]"                             string => "Central Asia Standard Time";
    "tz_linux[Asia/Bishkek]"                           string => "Asia/Bishkek";
    "tz_win[Asia/Brunei]"                              string => "Singapore Standard Time";
    "tz_linux[Asia/Brunei]"                            string => "Asia/Brunei";
    "tz_win[Asia/Calcutta]"                            string => "India Standard Time";
    "tz_linux[Asia/Calcutta]"                          string => "Asia/Calcutta";
    "tz_win[Asia/Chita]"                               string => "North Asia East Standard Time";
    "tz_linux[Asia/Chita]"                             string => "Asia/Chita";
    "tz_win[Asia/Choibalsan]"                          string => "Ulaanbaatar Standard Time";
    "tz_linux[Asia/Choibalsan]"                        string => "Asia/Choibalsan";
    "tz_win[Asia/Colombo]"                             string => "Sri Lanka Standard Time";
    "tz_linux[Asia/Colombo]"                           string => "Asia/Colombo";
    "tz_win[Asia/Damascus]"                            string => "Syria Standard Time";
    "tz_linux[Asia/Damascus]"                          string => "Asia/Damascus";
    "tz_win[Asia/Dhaka]"                               string => "Bangladesh Standard Time";
    "tz_linux[Asia/Dhaka]"                             string => "Asia/Dhaka";
    "tz_win[Asia/Dili]"                                string => "Tokyo Standard Time";
    "tz_linux[Asia/Dili]"                              string => "Asia/Dili";
    "tz_win[Asia/Dubai]"                               string => "Arabian Standard Time";
    "tz_linux[Asia/Dubai]"                             string => "Asia/Dubai";
    "tz_win[Asia/Dushanbe]"                            string => "West Asia Standard Time";
    "tz_linux[Asia/Dushanbe]"                          string => "Asia/Dushanbe";
    "tz_win[Asia/Hong_Kong]"                           string => "China Standard Time";
    "tz_linux[Asia/Hong_Kong]"                         string => "Asia/Hong_Kong";
    "tz_win[Asia/Hovd]"                                string => "SE Asia Standard Time";
    "tz_linux[Asia/Hovd]"                              string => "Asia/Hovd";
    "tz_win[Asia/Irkutsk]"                             string => "North Asia East Standard Time";
    "tz_linux[Asia/Irkutsk]"                           string => "Asia/Irkutsk";
    "tz_win[Asia/Jakarta]"                             string => "SE Asia Standard Time";
    "tz_linux[Asia/Jakarta]"                           string => "Asia/Jakarta";
    "tz_win[Asia/Jayapura]"                            string => "Tokyo Standard Time";
    "tz_linux[Asia/Jayapura]"                          string => "Asia/Jayapura";
    "tz_win[Asia/Jerusalem]"                           string => "Israel Standard Time";
    "tz_linux[Asia/Jerusalem]"                         string => "Asia/Jerusalem";
    "tz_win[Asia/Kabul]"                               string => "Afghanistan Standard Time";
    "tz_linux[Asia/Kabul]"                             string => "Asia/Kabul";
    "tz_win[Asia/Kamchatka]"                           string => "Russia Time Zone 11";
    "tz_linux[Asia/Kamchatka]"                         string => "Asia/Kamchatka";
    "tz_win[Asia/Karachi]"                             string => "Pakistan Standard Time";
    "tz_linux[Asia/Karachi]"                           string => "Asia/Karachi";
    "tz_win[Asia/Katmandu]"                            string => "Nepal Standard Time";
    "tz_linux[Asia/Katmandu]"                          string => "Asia/Katmandu";
    "tz_win[Asia/Khandyga]"                            string => "Yakutsk Standard Time";
    "tz_linux[Asia/Khandyga]"                          string => "Asia/Khandyga";
    "tz_win[Asia/Krasnoyarsk]"                         string => "North Asia Standard Time";
    "tz_linux[Asia/Krasnoyarsk]"                       string => "Asia/Krasnoyarsk";
    "tz_win[Asia/Kuala_Lumpur]"                        string => "Singapore Standard Time";
    "tz_linux[Asia/Kuala_Lumpur]"                      string => "Asia/Kuala_Lumpur";
    "tz_win[Asia/Kuching]"                             string => "Singapore Standard Time";
    "tz_linux[Asia/Kuching]"                           string => "Asia/Kuching";
    "tz_win[Asia/Kuwait]"                              string => "Arab Standard Time";
    "tz_linux[Asia/Kuwait]"                            string => "Asia/Kuwait";
    "tz_win[Asia/Macau]"                               string => "China Standard Time";
    "tz_linux[Asia/Macau]"                             string => "Asia/Macau";
    "tz_win[Asia/Magadan]"                             string => "Magadan Standard Time";
    "tz_linux[Asia/Magadan]"                           string => "Asia/Magadan";
    "tz_win[Asia/Makassar]"                            string => "Singapore Standard Time";
    "tz_linux[Asia/Makassar]"                          string => "Asia/Makassar";
    "tz_win[Asia/Manila]"                              string => "Singapore Standard Time";
    "tz_linux[Asia/Manila]"                            string => "Asia/Manila";
    "tz_win[Asia/Muscat]"                              string => "Arabian Standard Time";
    "tz_linux[Asia/Muscat]"                            string => "Asia/Muscat";
    "tz_win[Asia/Nicosia]"                             string => "GTB Standard Time";
    "tz_linux[Asia/Nicosia]"                           string => "Asia/Nicosia";
    "tz_win[Asia/Novokuznetsk]"                        string => "North Asia Standard Time";
    "tz_linux[Asia/Novokuznetsk]"                      string => "Asia/Novokuznetsk";
    "tz_win[Asia/Novosibirsk]"                         string => "N. Central Asia Standard Time";
    "tz_linux[Asia/Novosibirsk]"                       string => "Asia/Novosibirsk";
    "tz_win[Asia/Omsk]"                                string => "N. Central Asia Standard Time";
    "tz_linux[Asia/Omsk]"                              string => "Asia/Omsk";
    "tz_win[Asia/Oral]"                                string => "West Asia Standard Time";
    "tz_linux[Asia/Oral]"                              string => "Asia/Oral";
    "tz_win[Asia/Phnom_Penh]"                          string => "SE Asia Standard Time";
    "tz_linux[Asia/Phnom_Penh]"                        string => "Asia/Phnom_Penh";
    "tz_win[Asia/Pontianak]"                           string => "SE Asia Standard Time";
    "tz_linux[Asia/Pontianak]"                         string => "Asia/Pontianak";
    "tz_win[Asia/Qatar]"                               string => "Arab Standard Time";
    "tz_linux[Asia/Qatar]"                             string => "Asia/Qatar";
    "tz_win[Asia/Qyzylorda]"                           string => "Central Asia Standard Time";
    "tz_linux[Asia/Qyzylorda]"                         string => "Asia/Qyzylorda";
    "tz_win[Asia/Rangoon]"                             string => "Myanmar Standard Time";
    "tz_linux[Asia/Rangoon]"                           string => "Asia/Rangoon";
    "tz_win[Asia/Riyadh]"                              string => "Arab Standard Time";
    "tz_linux[Asia/Riyadh]"                            string => "Asia/Riyadh";
    "tz_win[Asia/Saigon]"                              string => "SE Asia Standard Time";
    "tz_linux[Asia/Saigon]"                            string => "Asia/Saigon";
    "tz_win[Asia/Sakhalin]"                            string => "Vladivostok Standard Time";
    "tz_linux[Asia/Sakhalin]"                          string => "Asia/Sakhalin";
    "tz_win[Asia/Samarkand]"                           string => "West Asia Standard Time";
    "tz_linux[Asia/Samarkand]"                         string => "Asia/Samarkand";
    "tz_win[Asia/Seoul]"                               string => "Korea Standard Time";
    "tz_linux[Asia/Seoul]"                             string => "Asia/Seoul";
    "tz_win[Asia/Shanghai]"                            string => "China Standard Time";
    "tz_linux[Asia/Shanghai]"                          string => "Asia/Shanghai";
    "tz_win[Asia/Singapore]"                           string => "Singapore Standard Time";
    "tz_linux[Asia/Singapore]"                         string => "Asia/Singapore";
    "tz_win[Asia/Srednekolymsk]"                       string => "Russia Time Zone 10";
    "tz_linux[Asia/Srednekolymsk]"                     string => "Asia/Srednekolymsk";
    "tz_win[Asia/Taipei]"                              string => "Taipei Standard Time";
    "tz_linux[Asia/Taipei]"                            string => "Asia/Taipei";
    "tz_win[Asia/Tashkent]"                            string => "West Asia Standard Time";
    "tz_linux[Asia/Tashkent]"                          string => "Asia/Tashkent";
    "tz_win[Asia/Tbilisi]"                             string => "Georgian Standard Time";
    "tz_linux[Asia/Tbilisi]"                           string => "Asia/Tbilisi";
    "tz_win[Asia/Tehran]"                              string => "Iran Standard Time";
    "tz_linux[Asia/Tehran]"                            string => "Asia/Tehran";
    "tz_win[Asia/Thimphu]"                             string => "Bangladesh Standard Time";
    "tz_linux[Asia/Thimphu]"                           string => "Asia/Thimphu";
    "tz_win[Asia/Tokyo]"                               string => "Tokyo Standard Time";
    "tz_linux[Asia/Tokyo]"                             string => "Asia/Tokyo";
    "tz_win[Asia/Ulaanbaatar]"                         string => "Ulaanbaatar Standard Time";
    "tz_linux[Asia/Ulaanbaatar]"                       string => "Asia/Ulaanbaatar";
    "tz_win[Asia/Urumqi]"                              string => "Central Asia Standard Time";
    "tz_linux[Asia/Urumqi]"                            string => "Asia/Urumqi";
    "tz_win[Asia/Ust-Nera]"                            string => "Vladivostok Standard Time";
    "tz_linux[Asia/Ust-Nera]"                          string => "Asia/Ust-Nera";
    "tz_win[Asia/Vientiane]"                           string => "SE Asia Standard Time";
    "tz_linux[Asia/Vientiane]"                         string => "Asia/Vientiane";
    "tz_win[Asia/Vladivostok]"                         string => "Vladivostok Standard Time";
    "tz_linux[Asia/Vladivostok]"                       string => "Asia/Vladivostok";
    "tz_win[Asia/Yakutsk]"                             string => "Yakutsk Standard Time";
    "tz_linux[Asia/Yakutsk]"                           string => "Asia/Yakutsk";
    "tz_win[Asia/Yekaterinburg]"                       string => "Ekaterinburg Standard Time";
    "tz_linux[Asia/Yekaterinburg]"                     string => "Asia/Yekaterinburg";
    "tz_win[Asia/Yerevan]"                             string => "Caucasus Standard Time";
    "tz_linux[Asia/Yerevan]"                           string => "Asia/Yerevan";
    "tz_win[Atlantic/Azores]"                          string => "Azores Standard Time";
    "tz_linux[Atlantic/Azores]"                        string => "Atlantic/Azores";
    "tz_win[Atlantic/Bermuda]"                         string => "Atlantic Standard Time";
    "tz_linux[Atlantic/Bermuda]"                       string => "Atlantic/Bermuda";
    "tz_win[Atlantic/Canary]"                          string => "GMT Standard Time";
    "tz_linux[Atlantic/Canary]"                        string => "Atlantic/Canary";
    "tz_win[Atlantic/Cape_Verde]"                      string => "Cape Verde Standard Time";
    "tz_linux[Atlantic/Cape_Verde]"                    string => "Atlantic/Cape_Verde";
    "tz_win[Atlantic/Faeroe]"                          string => "GMT Standard Time";
    "tz_linux[Atlantic/Faeroe]"                        string => "Atlantic/Faeroe";
    "tz_win[Atlantic/Madeira]"                         string => "GMT Standard Time";
    "tz_linux[Atlantic/Madeira]"                       string => "Atlantic/Madeira";
    "tz_win[Atlantic/Reykjavik]"                       string => "Greenwich Standard Time";
    "tz_linux[Atlantic/Reykjavik]"                     string => "Atlantic/Reykjavik";
    "tz_win[Atlantic/South_Georgia]"                   string => "UTC-02";
    "tz_linux[Atlantic/South_Georgia]"                 string => "Atlantic/South_Georgia";
    "tz_win[Atlantic/St_Helena]"                       string => "Greenwich Standard Time";
    "tz_linux[Atlantic/St_Helena]"                     string => "Atlantic/St_Helena";
    "tz_win[Atlantic/Stanley]"                         string => "SA Eastern Standard Time";
    "tz_linux[Atlantic/Stanley]"                       string => "Atlantic/Stanley";
    "tz_win[Australia/Adelaide]"                       string => "Cen. Australia Standard Time";
    "tz_linux[Australia/Adelaide]"                     string => "Australia/Adelaide";
    "tz_win[Australia/Brisbane]"                       string => "E. Australia Standard Time";
    "tz_linux[Australia/Brisbane]"                     string => "Australia/Brisbane";
    "tz_win[Australia/Broken_Hill]"                    string => "Cen. Australia Standard Time";
    "tz_linux[Australia/Broken_Hill]"                  string => "Australia/Broken_Hill";
    "tz_win[Australia/Currie]"                         string => "Tasmania Standard Time";
    "tz_linux[Australia/Currie]"                       string => "Australia/Currie";
    "tz_win[Australia/Darwin]"                         string => "AUS Central Standard Time";
    "tz_linux[Australia/Darwin]"                       string => "Australia/Darwin";
    "tz_win[Australia/Hobart]"                         string => "Tasmania Standard Time";
    "tz_linux[Australia/Hobart]"                       string => "Australia/Hobart";
    "tz_win[Australia/Lindeman]"                       string => "E. Australia Standard Time";
    "tz_linux[Australia/Lindeman]"                     string => "Australia/Lindeman";
    "tz_win[Australia/Melbourne]"                      string => "AUS Eastern Standard Time";
    "tz_linux[Australia/Melbourne]"                    string => "Australia/Melbourne";
    "tz_win[Australia/Perth]"                          string => "W. Australia Standard Time";
    "tz_linux[Australia/Perth]"                        string => "Australia/Perth";
    "tz_win[Australia/Sydney]"                         string => "AUS Eastern Standard Time";
    "tz_linux[Australia/Sydney]"                       string => "Australia/Sydney";
    "tz_win[CST6CDT]"                                  string => "Central Standard Time";
    "tz_linux[CST6CDT]"                                string => "CST6CDT";
    "tz_win[EST5EDT]"                                  string => "Eastern Standard Time";
    "tz_linux[EST5EDT]"                                string => "EST5EDT";
    "tz_win[Etc/GMT]"                                  string => "UTC";
    "tz_linux[Etc/GMT]"                                string => "Etc/GMT";
    "tz_win[Etc/GMT+1]"                                string => "Cape Verde Standard Time";
    "tz_linux[Etc/GMT+1]"                              string => "Etc/GMT+1";
    "tz_win[Etc/GMT+10]"                               string => "Hawaiian Standard Time";
    "tz_linux[Etc/GMT+10]"                             string => "Etc/GMT+10";
    "tz_win[Etc/GMT+11]"                               string => "UTC-11";
    "tz_linux[Etc/GMT+11]"                             string => "Etc/GMT+11";
    "tz_win[Etc/GMT+12]"                               string => "Dateline Standard Time";
    "tz_linux[Etc/GMT+12]"                             string => "Etc/GMT+12";
    "tz_win[Etc/GMT+2]"                                string => "UTC-02";
    "tz_linux[Etc/GMT+2]"                              string => "Etc/GMT+2";
    "tz_win[Etc/GMT+3]"                                string => "SA Eastern Standard Time";
    "tz_linux[Etc/GMT+3]"                              string => "Etc/GMT+3";
    "tz_win[Etc/GMT+4]"                                string => "SA Western Standard Time";
    "tz_linux[Etc/GMT+4]"                              string => "Etc/GMT+4";
    "tz_win[Etc/GMT+5]"                                string => "SA Pacific Standard Time";
    "tz_linux[Etc/GMT+5]"                              string => "Etc/GMT+5";
    "tz_win[Etc/GMT+6]"                                string => "Central America Standard Time";
    "tz_linux[Etc/GMT+6]"                              string => "Etc/GMT+6";
    "tz_win[Etc/GMT+7]"                                string => "US Mountain Standard Time";
    "tz_linux[Etc/GMT+7]"                              string => "Etc/GMT+7";
    "tz_win[Etc/GMT-1]"                                string => "W. Central Africa Standard Time";
    "tz_linux[Etc/GMT-1]"                              string => "Etc/GMT-1";
    "tz_win[Etc/GMT-10]"                               string => "West Pacific Standard Time";
    "tz_linux[Etc/GMT-10]"                             string => "Etc/GMT-10";
    "tz_win[Etc/GMT-11]"                               string => "Central Pacific Standard Time";
    "tz_linux[Etc/GMT-11]"                             string => "Etc/GMT-11";
    "tz_win[Etc/GMT-12]"                               string => "UTC+12";
    "tz_linux[Etc/GMT-12]"                             string => "Etc/GMT-12";
    "tz_win[Etc/GMT-13]"                               string => "Tonga Standard Time";
    "tz_linux[Etc/GMT-13]"                             string => "Etc/GMT-13";
    "tz_win[Etc/GMT-14]"                               string => "Line Islands Standard Time";
    "tz_linux[Etc/GMT-14]"                             string => "Etc/GMT-14";
    "tz_win[Etc/GMT-2]"                                string => "South Africa Standard Time";
    "tz_linux[Etc/GMT-2]"                              string => "Etc/GMT-2";
    "tz_win[Etc/GMT-3]"                                string => "E. Africa Standard Time";
    "tz_linux[Etc/GMT-3]"                              string => "Etc/GMT-3";
    "tz_win[Etc/GMT-4]"                                string => "Arabian Standard Time";
    "tz_linux[Etc/GMT-4]"                              string => "Etc/GMT-4";
    "tz_win[Etc/GMT-5]"                                string => "West Asia Standard Time";
    "tz_linux[Etc/GMT-5]"                              string => "Etc/GMT-5";
    "tz_win[Etc/GMT-6]"                                string => "Central Asia Standard Time";
    "tz_linux[Etc/GMT-6]"                              string => "Etc/GMT-6";
    "tz_win[Etc/GMT-7]"                                string => "SE Asia Standard Time";
    "tz_linux[Etc/GMT-7]"                              string => "Etc/GMT-7";
    "tz_win[Etc/GMT-8]"                                string => "Singapore Standard Time";
    "tz_linux[Etc/GMT-8]"                              string => "Etc/GMT-8";
    "tz_win[Etc/GMT-9]"                                string => "Tokyo Standard Time";
    "tz_linux[Etc/GMT-9]"                              string => "Etc/GMT-9";
    "tz_win[Europe/Amsterdam]"                         string => "W. Europe Standard Time";
    "tz_linux[Europe/Amsterdam]"                       string => "Europe/Amsterdam";
    "tz_win[Europe/Andorra]"                           string => "W. Europe Standard Time";
    "tz_linux[Europe/Andorra]"                         string => "Europe/Andorra";
    "tz_win[Europe/Athens]"                            string => "GTB Standard Time";
    "tz_linux[Europe/Athens]"                          string => "Europe/Athens";
    "tz_win[Europe/Belgrade]"                          string => "Central Europe Standard Time";
    "tz_linux[Europe/Belgrade]"                        string => "Europe/Belgrade";
    "tz_win[Europe/Berlin]"                            string => "W. Europe Standard Time";
    "tz_linux[Europe/Berlin]"                          string => "Europe/Berlin";
    "tz_win[Europe/Bratislava]"                        string => "Central Europe Standard Time";
    "tz_linux[Europe/Bratislava]"                      string => "Europe/Bratislava";
    "tz_win[Europe/Brussels]"                          string => "Romance Standard Time";
    "tz_linux[Europe/Brussels]"                        string => "Europe/Brussels";
    "tz_win[Europe/Bucharest]"                         string => "GTB Standard Time";
    "tz_linux[Europe/Bucharest]"                       string => "Europe/Bucharest";
    "tz_win[Europe/Budapest]"                          string => "Central Europe Standard Time";
    "tz_linux[Europe/Budapest]"                        string => "Europe/Budapest";
    "tz_win[Europe/Busingen]"                          string => "W. Europe Standard Time";
    "tz_linux[Europe/Busingen]"                        string => "Europe/Busingen";
    "tz_win[Europe/Chisinau]"                          string => "GTB Standard Time";
    "tz_linux[Europe/Chisinau]"                        string => "Europe/Chisinau";
    "tz_win[Europe/Copenhagen]"                        string => "Romance Standard Time";
    "tz_linux[Europe/Copenhagen]"                      string => "Europe/Copenhagen";
    "tz_win[Europe/Dublin]"                            string => "GMT Standard Time";
    "tz_linux[Europe/Dublin]"                          string => "Europe/Dublin";
    "tz_win[Europe/Gibraltar]"                         string => "W. Europe Standard Time";
    "tz_linux[Europe/Gibraltar]"                       string => "Europe/Gibraltar";
    "tz_win[Europe/Guernsey]"                          string => "GMT Standard Time";
    "tz_linux[Europe/Guernsey]"                        string => "Europe/Guernsey";
    "tz_win[Europe/Helsinki]"                          string => "FLE Standard Time";
    "tz_linux[Europe/Helsinki]"                        string => "Europe/Helsinki";
    "tz_win[Europe/Isle_of_Man]"                       string => "GMT Standard Time";
    "tz_linux[Europe/Isle_of_Man]"                     string => "Europe/Isle_of_Man";
    "tz_win[Europe/Istanbul]"                          string => "Turkey Standard Time";
    "tz_linux[Europe/Istanbul]"                        string => "Europe/Istanbul";
    "tz_win[Europe/Jersey]"                            string => "GMT Standard Time";
    "tz_linux[Europe/Jersey]"                          string => "Europe/Jersey";
    "tz_win[Europe/Kaliningrad]"                       string => "Kaliningrad Standard Time";
    "tz_linux[Europe/Kaliningrad]"                     string => "Europe/Kaliningrad";
    "tz_win[Europe/Kiev]"                              string => "FLE Standard Time";
    "tz_linux[Europe/Kiev]"                            string => "Europe/Kiev";
    "tz_win[Europe/Lisbon]"                            string => "GMT Standard Time";
    "tz_linux[Europe/Lisbon]"                          string => "Europe/Lisbon";
    "tz_win[Europe/Ljubljana]"                         string => "Central Europe Standard Time";
    "tz_linux[Europe/Ljubljana]"                       string => "Europe/Ljubljana";
    "tz_win[Europe/London]"                            string => "GMT Standard Time";
    "tz_linux[Europe/London]"                          string => "Europe/London";
    "tz_win[Europe/Luxembourg]"                        string => "W. Europe Standard Time";
    "tz_linux[Europe/Luxembourg]"                      string => "Europe/Luxembourg";
    "tz_win[Europe/Madrid]"                            string => "Romance Standard Time";
    "tz_linux[Europe/Madrid]"                          string => "Europe/Madrid";
    "tz_win[Europe/Malta]"                             string => "W. Europe Standard Time";
    "tz_linux[Europe/Malta]"                           string => "Europe/Malta";
    "tz_win[Europe/Mariehamn]"                         string => "FLE Standard Time";
    "tz_linux[Europe/Mariehamn]"                       string => "Europe/Mariehamn";
    "tz_win[Europe/Minsk]"                             string => "Belarus Standard Time";
    "tz_linux[Europe/Minsk]"                           string => "Europe/Minsk";
    "tz_win[Europe/Monaco]"                            string => "W. Europe Standard Time";
    "tz_linux[Europe/Monaco]"                          string => "Europe/Monaco";
    "tz_win[Europe/Moscow]"                            string => "Russian Standard Time";
    "tz_linux[Europe/Moscow]"                          string => "Europe/Moscow";
    "tz_win[Europe/Oslo]"                              string => "W. Europe Standard Time";
    "tz_linux[Europe/Oslo]"                            string => "Europe/Oslo";
    "tz_win[Europe/Paris]"                             string => "Romance Standard Time";
    "tz_linux[Europe/Paris]"                           string => "Europe/Paris";
    "tz_win[Europe/Podgorica]"                         string => "Central Europe Standard Time";
    "tz_linux[Europe/Podgorica]"                       string => "Europe/Podgorica";
    "tz_win[Europe/Prague]"                            string => "Central Europe Standard Time";
    "tz_linux[Europe/Prague]"                          string => "Europe/Prague";
    "tz_win[Europe/Riga]"                              string => "FLE Standard Time";
    "tz_linux[Europe/Riga]"                            string => "Europe/Riga";
    "tz_win[Europe/Rome]"                              string => "W. Europe Standard Time";
    "tz_linux[Europe/Rome]"                            string => "Europe/Rome";
    "tz_win[Europe/Samara]"                            string => "Russia Time Zone 3";
    "tz_linux[Europe/Samara]"                          string => "Europe/Samara";
    "tz_win[Europe/San_Marino]"                        string => "W. Europe Standard Time";
    "tz_linux[Europe/San_Marino]"                      string => "Europe/San_Marino";
    "tz_win[Europe/Sarajevo]"                          string => "Central European Standard Time";
    "tz_linux[Europe/Sarajevo]"                        string => "Europe/Sarajevo";
    "tz_win[Europe/Simferopol]"                        string => "Russian Standard Time";
    "tz_linux[Europe/Simferopol]"                      string => "Europe/Simferopol";
    "tz_win[Europe/Skopje]"                            string => "Central European Standard Time";
    "tz_linux[Europe/Skopje]"                          string => "Europe/Skopje";
    "tz_win[Europe/Sofia]"                             string => "FLE Standard Time";
    "tz_linux[Europe/Sofia]"                           string => "Europe/Sofia";
    "tz_win[Europe/Stockholm]"                         string => "W. Europe Standard Time";
    "tz_linux[Europe/Stockholm]"                       string => "Europe/Stockholm";
    "tz_win[Europe/Tallinn]"                           string => "FLE Standard Time";
    "tz_linux[Europe/Tallinn]"                         string => "Europe/Tallinn";
    "tz_win[Europe/Tirane]"                            string => "Central Europe Standard Time";
    "tz_linux[Europe/Tirane]"                          string => "Europe/Tirane";
    "tz_win[Europe/Uzhgorod]"                          string => "FLE Standard Time";
    "tz_linux[Europe/Uzhgorod]"                        string => "Europe/Uzhgorod";
    "tz_win[Europe/Vaduz]"                             string => "W. Europe Standard Time";
    "tz_linux[Europe/Vaduz]"                           string => "Europe/Vaduz";
    "tz_win[Europe/Vatican]"                           string => "W. Europe Standard Time";
    "tz_linux[Europe/Vatican]"                         string => "Europe/Vatican";
    "tz_win[Europe/Vienna]"                            string => "W. Europe Standard Time";
    "tz_linux[Europe/Vienna]"                          string => "Europe/Vienna";
    "tz_win[Europe/Vilnius]"                           string => "FLE Standard Time";
    "tz_linux[Europe/Vilnius]"                         string => "Europe/Vilnius";
    "tz_win[Europe/Volgograd]"                         string => "Russian Standard Time";
    "tz_linux[Europe/Volgograd]"                       string => "Europe/Volgograd";
    "tz_win[Europe/Warsaw]"                            string => "Central European Standard Time";
    "tz_linux[Europe/Warsaw]"                          string => "Europe/Warsaw";
    "tz_win[Europe/Zagreb]"                            string => "Central European Standard Time";
    "tz_linux[Europe/Zagreb]"                          string => "Europe/Zagreb";
    "tz_win[Europe/Zaporozhye]"                        string => "FLE Standard Time";
    "tz_linux[Europe/Zaporozhye]"                      string => "Europe/Zaporozhye";
    "tz_win[Europe/Zurich]"                            string => "W. Europe Standard Time";
    "tz_linux[Europe/Zurich]"                          string => "Europe/Zurich";
    "tz_win[Indian/Antananarivo]"                      string => "E. Africa Standard Time";
    "tz_linux[Indian/Antananarivo]"                    string => "Indian/Antananarivo";
    "tz_win[Indian/Chagos]"                            string => "Central Asia Standard Time";
    "tz_linux[Indian/Chagos]"                          string => "Indian/Chagos";
    "tz_win[Indian/Christmas]"                         string => "SE Asia Standard Time";
    "tz_linux[Indian/Christmas]"                       string => "Indian/Christmas";
    "tz_win[Indian/Cocos]"                             string => "Myanmar Standard Time";
    "tz_linux[Indian/Cocos]"                           string => "Indian/Cocos";
    "tz_win[Indian/Comoro]"                            string => "E. Africa Standard Time";
    "tz_linux[Indian/Comoro]"                          string => "Indian/Comoro";
    "tz_win[Indian/Kerguelen]"                         string => "West Asia Standard Time";
    "tz_linux[Indian/Kerguelen]"                       string => "Indian/Kerguelen";
    "tz_win[Indian/Mahe]"                              string => "Mauritius Standard Time";
    "tz_linux[Indian/Mahe]"                            string => "Indian/Mahe";
    "tz_win[Indian/Maldives]"                          string => "West Asia Standard Time";
    "tz_linux[Indian/Maldives]"                        string => "Indian/Maldives";
    "tz_win[Indian/Mauritius]"                         string => "Mauritius Standard Time";
    "tz_linux[Indian/Mauritius]"                       string => "Indian/Mauritius";
    "tz_win[Indian/Mayotte]"                           string => "E. Africa Standard Time";
    "tz_linux[Indian/Mayotte]"                         string => "Indian/Mayotte";
    "tz_win[Indian/Reunion]"                           string => "Mauritius Standard Time";
    "tz_linux[Indian/Reunion]"                         string => "Indian/Reunion";
    "tz_win[MST7MDT]"                                  string => "Mountain Standard Time";
    "tz_linux[MST7MDT]"                                string => "MST7MDT";
    "tz_win[PST8PDT]"                                  string => "Pacific Standard Time";
    "tz_linux[PST8PDT]"                                string => "PST8PDT";
    "tz_win[Pacific/Apia]"                             string => "Samoa Standard Time";
    "tz_linux[Pacific/Apia]"                           string => "Pacific/Apia";
    "tz_win[Pacific/Auckland]"                         string => "New Zealand Standard Time";
    "tz_linux[Pacific/Auckland]"                       string => "Pacific/Auckland";
    "tz_win[Pacific/Bougainville]"                     string => "Central Pacific Standard Time";
    "tz_linux[Pacific/Bougainville]"                   string => "Pacific/Bougainville";
    "tz_win[Pacific/Efate]"                            string => "Central Pacific Standard Time";
    "tz_linux[Pacific/Efate]"                          string => "Pacific/Efate";
    "tz_win[Pacific/Enderbury]"                        string => "Tonga Standard Time";
    "tz_linux[Pacific/Enderbury]"                      string => "Pacific/Enderbury";
    "tz_win[Pacific/Fakaofo]"                          string => "Tonga Standard Time";
    "tz_linux[Pacific/Fakaofo]"                        string => "Pacific/Fakaofo";
    "tz_win[Pacific/Fiji]"                             string => "Fiji Standard Time";
    "tz_linux[Pacific/Fiji]"                           string => "Pacific/Fiji";
    "tz_win[Pacific/Funafuti]"                         string => "UTC+12";
    "tz_linux[Pacific/Funafuti]"                       string => "Pacific/Funafuti";
    "tz_win[Pacific/Galapagos]"                        string => "Central America Standard Time";
    "tz_linux[Pacific/Galapagos]"                      string => "Pacific/Galapagos";
    "tz_win[Pacific/Guadalcanal]"                      string => "Central Pacific Standard Time";
    "tz_linux[Pacific/Guadalcanal]"                    string => "Pacific/Guadalcanal";
    "tz_win[Pacific/Guam]"                             string => "West Pacific Standard Time";
    "tz_linux[Pacific/Guam]"                           string => "Pacific/Guam";
    "tz_win[Pacific/Honolulu]"                         string => "Hawaiian Standard Time";
    "tz_linux[Pacific/Honolulu]"                       string => "Pacific/Honolulu";
    "tz_win[Pacific/Johnston]"                         string => "Hawaiian Standard Time";
    "tz_linux[Pacific/Johnston]"                       string => "Pacific/Johnston";
    "tz_win[Pacific/Kiritimati]"                       string => "Line Islands Standard Time";
    "tz_linux[Pacific/Kiritimati]"                     string => "Pacific/Kiritimati";
    "tz_win[Pacific/Kosrae]"                           string => "Central Pacific Standard Time";
    "tz_linux[Pacific/Kosrae]"                         string => "Pacific/Kosrae";
    "tz_win[Pacific/Kwajalein]"                        string => "UTC+12";
    "tz_linux[Pacific/Kwajalein]"                      string => "Pacific/Kwajalein";
    "tz_win[Pacific/Majuro]"                           string => "UTC+12";
    "tz_linux[Pacific/Majuro]"                         string => "Pacific/Majuro";
    "tz_win[Pacific/Midway]"                           string => "UTC-11";
    "tz_linux[Pacific/Midway]"                         string => "Pacific/Midway";
    "tz_win[Pacific/Nauru]"                            string => "UTC+12";
    "tz_linux[Pacific/Nauru]"                          string => "Pacific/Nauru";
    "tz_win[Pacific/Niue]"                             string => "UTC-11";
    "tz_linux[Pacific/Niue]"                           string => "Pacific/Niue";
    "tz_win[Pacific/Noumea]"                           string => "Central Pacific Standard Time";
    "tz_linux[Pacific/Noumea]"                         string => "Pacific/Noumea";
    "tz_win[Pacific/Pago_Pago]"                        string => "UTC-11";
    "tz_linux[Pacific/Pago_Pago]"                      string => "Pacific/Pago_Pago";
    "tz_win[Pacific/Palau]"                            string => "Tokyo Standard Time";
    "tz_linux[Pacific/Palau]"                          string => "Pacific/Palau";
    "tz_win[Pacific/Ponape]"                           string => "Central Pacific Standard Time";
    "tz_linux[Pacific/Ponape]"                         string => "Pacific/Ponape";
    "tz_win[Pacific/Port_Moresby]"                     string => "West Pacific Standard Time";
    "tz_linux[Pacific/Port_Moresby]"                   string => "Pacific/Port_Moresby";
    "tz_win[Pacific/Rarotonga]"                        string => "Hawaiian Standard Time";
    "tz_linux[Pacific/Rarotonga]"                      string => "Pacific/Rarotonga";
    "tz_win[Pacific/Saipan]"                           string => "West Pacific Standard Time";
    "tz_linux[Pacific/Saipan]"                         string => "Pacific/Saipan";
    "tz_win[Pacific/Tahiti]"                           string => "Hawaiian Standard Time";
    "tz_linux[Pacific/Tahiti]"                         string => "Pacific/Tahiti";
    "tz_win[Pacific/Tarawa]"                           string => "UTC+12";
    "tz_linux[Pacific/Tarawa]"                         string => "Pacific/Tarawa";
    "tz_win[Pacific/Tongatapu]"                        string => "Tonga Standard Time";
    "tz_linux[Pacific/Tongatapu]"                      string => "Pacific/Tongatapu";
    "tz_win[Pacific/Truk]"                             string => "West Pacific Standard Time";
    "tz_linux[Pacific/Truk]"                           string => "Pacific/Truk";
    "tz_win[Pacific/Wake]"                             string => "UTC+12";
    "tz_linux[Pacific/Wake]"                           string => "Pacific/Wake";
    "tz_win[Pacific/Wallis]"                           string => "UTC+12";
    "tz_linux[Pacific/Wallis]"                         string => "Pacific/Wallis";
}
